This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 521339 - Fix instances of #!/usr/bin/env python in dogtail
Fix instances of #!/usr/bin/env python in dogtail
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dogtail (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Zack Cerza
desktop-bugs@redhat.com
:
Depends On:
Blocks: 521940
  Show dependency treegraph
 
Reported: 2009-09-04 16:54 EDT by Issue Tracker
Modified: 2013-04-12 16:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-06 03:58:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2009-09-04 16:54:40 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2009-09-04 16:54:42 EDT
Event posted on 09-04-2009 04:53pm EDT by kbaxley

There's a project underway in Fedora 12 to finally resolve the issues
with Red Hat including #!/usr/bin/env python in our python executables:

https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython

There's also a Fedora bug opened on this, and comments in there state
that this is a big priority for RHEL6:

https://bugzilla.redhat.com/show_bug.cgi?id=518994

For RHEL5, we've been instructed by Product Management to open bugs on
a package-by-package basis to address the problem.

In this case, dogtail in RHEL5 has at least one instance of a
python script containing #!/usr/bin/env python:

/usr/share/doc/dogtail-0.6.1/examples/filechooser-stress-test.py in dogtail-0.6.1-2.el5
/usr/share/doc/dogtail-0.6.1/examples/gedit-test-utf8-tree-api.py in dogtail-0.6.1-2.el5
/usr/share/doc/dogtail-0.6.1/examples/gedit-test-utf8-procedural-api.py in dogtail-0.6.1-2.el5
/usr/share/doc/dogtail-0.6.1/examples/i18n-test.py in dogtail-0.6.1-2.el5
/usr/share/doc/dogtail-0.6.1/examples/no-help-at-all.py in dogtail-0.6.1-2.el5
/usr/share/doc/dogtail-0.6.1/examples/test-events.py in dogtail-0.6.1-2.el5



This event sent from IssueTracker by kbaxley  [LLNL (HPC)]
 issue 339246
Comment 6 errata-xmlrpc 2010-01-06 03:58:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0009.html

Note You need to log in before you can comment on or make changes to this bug.